#-----------------#
# WORKSPACE RULES #
#-----------------#
# Display full sized (without gaps), if only window on screen
workspace = w[tv1], gapsout:0, gapsin:0
workspace = f[1], gapsout:0, gapsin:0
windowrulev2 = bordersize 0, floating:0, onworkspace:w[tv1]
windowrulev2 = rounding 0, floating:0, onworkspace:w[tv1]
windowrulev2 = bordersize 0, floating:0, onworkspace:f[1]
windowrulev2 = rounding 0, floating:0, onworkspace:f[1]

$mainMod = SUPER

#--------------#
# WINDOW RULES #
#--------------#
windowrule = float, title:.*(rofi).*
windowrulev2 = animation popin, title:.*(rofi).*
windowrulev2 = center, title:(rofi)(.*)

windowrulev2 = move 1450 50, title:^(.*)(Power menu)$
windowrule = workspace 2, evince
windowrulev2 = workspace 2, title:.*(Okular).*
windowrulev2 = fullscreen, title:wlogout
windowrule = workspace 2, librewolf
windowrulev2 = workspace 2, title:LibreWolf
windowrulev2 = workspace 2, title:(.*)(Discord)(.*)
windowrulev2 = workspace 3, title:^(Steam)(.*)$
windowrulev2 = workspace 1, title:^(.*)(VSCodium)$
windowrulev2 = center, title:^(.*)(VSCodium)$
windowrule = workspace 3, minecraft-launcher
windowrule = tile, minecraft-launcher
windowrulev2 = fullscreen, title:^(.*)(Minecraft)(.*)$
windowrulev2 = workspace 3, title:^(.*)(Minecraft)(.*)$

windowrulev2 = workspace 1, title:^(.*)hidden-terminator*(.*)$
windowrulev2 = size 0 0, title:^(.*)hidden-terminator*(.*)$
windowrulev2 = move 0 0, title:^(.*)hidden-terminator*(.*)$
windowrulev2 = float, title:^(.*)hidden-terminator*(.*)$

# Set floating windows & position them centered
windowrule = float, file_progress
windowrule = center, file_progress

windowrule = float, confirm
windowrule = center, confirm

windowrule = float, dialog
windowrule = center, dialog

windowrule = float, download
windowrule = center, download

windowrule = float, notification
windowrule = center, notification

windowrule = float, error
windowrule = center, error

windowrule = float, splash
windowrule = center, splash

windowrule = float, confirmreset
windowrule = center, confirmreset

windowrulev2 = float, title:Open File
windowrulev2 = center, title:Open File

windowrulev2 = float, title:branchdialog
windowrulev2 = center, title:branchdialog

windowrule = float, Lxappearance
windowrule = center, Lxappearance

windowrulev2 = float, title:^(Media viewer)$
windowrulev2 = center, title:^(Media viewer)$

windowrulev2 = float, title:^(Volume Control)$
windowrulev2 = center, title:^(Volume Control)$

windowrulev2 = float, title:^(Picture-in-Picture)$
windowrulev2 = center, title:^(Picture-in-Picture)$

windowrulev2 = float, title:^(File Operation Progress)$
windowrulev2 = center, title:^(File Operation Progress)$

windowrulev2 = float, title:^(Loading)(.*)$
windowrulev2 = center, title:^(Loading)(.*)$

windowrule = float, pavucontrol-qt
windowrule = center, pavucontrol-qt

windowrule = float, pavucontrol
windowrule = center, pavucontrol

windowrule = float, file-roller
windowrule = center, file-roller

windowrulev2 = idleinhibit focus, title:^(Rocket League)(.*)$
windowrulev2 = fullscreen, title:^(Steam Big Picture)$
windowrule = idleinhibit always, steam
windowrule = idleinhibit always, lutris
windowrule = idleinhibit focus, vlc
windowrule = idleinhibit focus, supertuxkart
windowrulev2 = idleinhibit fullscreen, title:^(.*)(Discord)(.*)$
windowrulev2 = idleinhibit fullscreen, title:^(.*)(~)(.*)$
windowrulev2 = idleinhibit focus, title:^(.*)(~)(.*)$
windowrulev2 = idleinhibit focus, title:^(.*)(LibreWolf)(.*)$
